Add a certificate.
curl --request POST \
--url https://{tenant}/tyk/certs \
--header 'Content-Type: text/plain' \
--header 'X-Tyk-Authorization: <api-key>' \
--data '<string>'import requests
url = "https://{tenant}/tyk/certs"
payload = "<string>"
headers = {
"X-Tyk-Authorization": "<api-key>",
"Content-Type": "text/plain"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Tyk-Authorization': '<api-key>', 'Content-Type': 'text/plain'},
body: '<string>'
};
fetch('https://{tenant}/tyk/certs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "5e9d9544a1dcd60001d0ed207c440d66ebb0a4629d21329808dce9091acf5f2fde328067a6e60e5347271d90",
"message": "Certificate added",
"status": "ok"
}{
"message": "Certificate with ID already exists.",
"status": "error"
}{
"message": "Malformed request body",
"status": "error"
}Certs
Add a certificate.
Add a certificate to the Tyk Gateway.
POST
/
tyk
/
certs
Add a certificate.
Authorizations
Api key
Query Parameters
Organisation ID to add the certificate to.
Body
text/plain
The body is of type string.
Was this page helpful?
List certificates.
Previous
Return one certificate or list multiple certificates in the Tyk Gateway given a comma separated list of cert IDs.
Next
⌘I